Name:		me-tv
Version:	1.4.0.10
%define		subrel 1
Release:	%mkrel 4
Summary:	GNOME desktop application for watching digital television
Group:		Video/Television
License:	GPLv3
URL:		https://launchpad.net/me-tv
Source0:	http://launchpad.net/me-tv/1.4/1.4.0/+download/%{name}-%{version}.tar.gz
Patch0:		me-tv-1.4.0.10-gcc47.patch
Patch1:		me-tv-1.4.0-mga-autotools-1.13-configure.ac.patch
# taken from https://bugs.launchpad.net/me-tv/+bug/1179606
# https://bugs.launchpad.net/me-tv/+bug/1179606/+attachment/3939447/+files/black_screen_fix_patch.diff
Patch2:	black_screen_fix_patch.diff

BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gconfmm-2.6) >= 2.0
BuildRequires: pkgconfig(giomm-2.4) >= 2.10.0
BuildRequires: pkgconfig(glibmm-2.4) >= 2.12.0
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(gstreamer-interfaces-0.10)
BuildRequires: pkgconfig(gthread-2.0) >= 2.10.0
BuildRequires: pkgconfig(gtkmm-2.4) >= 2.12.0
BuildRequires: pkgconfig(libvlc)
BuildRequires: pkgconfig(libxml++-2.6)
BuildRequires: pkgconfig(sqlite3) >= 3.7.0
BuildRequires: pkgconfig(unique-1.0)
BuildRequires: pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	desktop-file-utils
Requires:	dvb-apps

%description
Me TV is a GNOME desktop application for watching digital television
services that use the DVB standard. Me TV works with DVB-T, DVB-C,
DVB-S and ATSC cards that have kernel driver support. Me TV reads the
Electronic Program Guide (EPG) data that is transmitted over the air
to populate a built-in program guide which can be used for scheduling
recordings.

%prep
%setup -q
%patch0 -p0
%patch1 -p0 -b .me-tv-1.4.0-mga-autotools-1.13-configure.ac.patch
%patch2 -p0 -b .black_screen_fix_patch

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-schemas-install
%make

%install
%makeinstall_std

#fix desktop file
desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
	--add-category="Video" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc AUTHORS changelog
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Sun Mar 16 2014 doktor5000 <doktor5000> 1.4.0.10-4.1.mga4
+ Revision: 604192
- added fix for black screen due to broken vlc call (mga#12980)

* Fri Oct 18 2013 umeabot <umeabot> 1.4.0.10-4.mga4
+ Revision: 521324
- Mageia 4 Mass Rebuild

* Sun Jan 20 2013 barjac <barjac> 1.4.0.10-3.mga3
+ Revision: 390270
- fix for autotools-1.13
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 1.4.0.10-1.mga3
+ Revision: 294344
- update file list
- more patch
- fix build with gcc 4.7
- new version 1.4.0.10

* Wed May 09 2012 doktor5000 <doktor5000> 1.3.6-4.mga2
+ Revision: 235004
- fix database init problem, backported patch from me-tv 1.3.7

* Wed Apr 04 2012 doktor5000 <doktor5000> 1.3.6-3.mga2
+ Revision: 228522
-rebuild

* Mon Jul 04 2011 wally <wally> 1.3.6-2.mga2
+ Revision: 118288
- require dvb-apps for having templates to ease
  scanning available DVB channels (mga#2020)

* Tue Mar 22 2011 wally <wally> 1.3.6-1.mga1
+ Revision: 75512
- fix group
- use mkrel
- reline description
- fix BRs
- fix desktop file
- drop buildroot definition
- clean .spec
- imported package me-tv


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Thomas Janssen <thomasj@fedoraproject.org> 1.3.6-1
- update to 1.3.6

* Sun Aug 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.3.2-1
- update to me-tv 1.3.2

* Sat Jun 26 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.2.6-1
- me-tv 1.2.6

* Mon May 31 2010 Thomas Janssen <thomasj@fedoraproject.org> 1.2.4-1
- me-tv 1.2.4

* Fri Jan 22 2010 Zarko <zarko.pintar@gmail.com> - 1.1.6-1
- new release

* Tue Jan 12 2010 Zarko <zarko.pintar@gmail.com> - 1.1.3-1
- new release

* Wed Sep 16 2009 Zarko <zarko.pintar@gmail.com> - 1.0.0-2
- Added patch for resolving duplicate name bug at startup

* Wed Sep 09 2009 Zarko <zarko.pintar@gmail.com> - 1.0.0-1
- new release
- license changed to GPLv3

* Fri Jun 29 2009 Zarko <zarko.pintar@gmail.com> - 0.9.4-1
- new release

* Fri May 22 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-5
- added BR:gail-devel for build resolving on F9

* Sun May 17 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-4
- spec cleaning
- license resolved

* Sun May 17 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-3
- added Requires: xine-ui

* Fri May 15 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-2
- patch for successful compile
- spec cleaning

* Thu May 14 2009 Zarko <zarko.pintar@gmail.com> - 0.8.12-1
- initial release
